Bug 1627256 - Switch pyflowtools to Python3 in Fedora 30+
Summary: Switch pyflowtools to Python3 in Fedora 30+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyflowtools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-10 14:06 UTC by Miro Hrončok
Modified: 2019-02-02 21:15 UTC (History)
7 users (show)

Fixed In Version: pyflowtools-0.3.4.2-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-02 21:15:58 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-10 14:06:56 UTC
In line with the Mass Python 2 Package Removal [0], all (sub)packages of pyflowtools were marked for removal:

 * pyflowtools

According to our query, those packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please retire your package in Rawhide (Fedora 30).

If there is no objection in a week, we will retire the package for you.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Paul P Komkoff Jr 2018-09-10 19:38:45 UTC
I (or someone) needs to port it to py3. The repo is here: http://github.com/theraphim/pyflowtools

I won't be able to do it in the next month, but may have some time after that.

Comment 2 Miro Hrončok 2018-09-10 20:33:57 UTC
The repo is exported from Google Code and last commit is from 2011.

Maybe it would be wiser just to retire the package?

Comment 3 Paul P Komkoff Jr 2018-09-10 23:41:31 UTC
I know, this is my repo (as it was on google code), and I did the export.

It's certainly easier, but I know people who are still using pyflowtools :\

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-09-11 06:49:20 UTC
Hi,
I did a quick port of the extension code to python3, but I don't know how to test it, 'cause I have no idea what those "flows" are. Could you send (attach here) some input files for testing, ideally along with the expected outputs? I'll check then that this works correctly under py2 and py3 and send the patches.

Comment 5 Paul P Komkoff Jr 2018-09-17 10:47:43 UTC
Sorry, I had a few busy days.
Here are 3 files for you to test: https://stingr.net/.ft/

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-09-18 09:41:17 UTC
flowtools.c: In function ‘FlowPDU_IsAdjacent_Helper’:
flowtools.c:667:21: warning: self-comparison always evaluates to true [-Wtautological-compare]
     (o2->unix_nsecs <= o2->unix_nsecs);
                     ^~

This looks like a bug.

Comment 8 Miro Hrončok 2018-10-08 19:25:33 UTC
Paul, what's the status? Could you take Zbyszek's code and make this package python3?

Comment 9 Paul P Komkoff Jr 2018-10-09 15:15:46 UTC
I merged it now.
I need a few days to build the package - traveling :(

Thanks.

Comment 10 Miro Hrončok 2018-10-09 17:38:22 UTC
Thanks for the update. Travel safely.

Comment 11 Miro Hrončok 2019-01-17 10:32:51 UTC
Paul, any update here please?

Comment 12 Paul P Komkoff Jr 2019-01-19 16:23:45 UTC
Sorry, dropped this one.

If this build https://koji.fedoraproject.org/koji/taskinfo?taskID=32127667 will work I'll fix up a few nits later today and it should be good to go for F30.

Comment 13 Miro Hrončok 2019-01-29 15:59:54 UTC
BUILDSTDERR: /var/tmp/rpm-tmp.fBa6gj: line 32: python: command not found


Don't use "python setup.py build", use %py3_build.


Note You need to log in before you can comment on or make changes to this bug.